Summary: 	Advanced Linux Sound Architecture (ALSA) utilities
Name: 		alsa-utils
Version: 	1.0.8
Release:	2
License: 	GPL
Group: 		Applications/Multimedia
URL: 		http://www.alsa-project.org/
Source: 	ftp://ftp.alsa-project.org/pub/utils/alsa-utils-%{version}%{?prever}.tar.bz2
Source2:	alsa.dev
#Source3:	xinit-alsa-launch.sh
#Patch1:	alsa-utils-1.0.7-alsa-launch.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	alsa-lib-devel >= %{version}
BuildRequires:	ncurses-devel
BuildRequires:	gettext-devel
#BuildRequires:	xorg-x11-devel


%description
This package contains command line utilities for the Advanced Linux Sound
Architecture (ALSA).

%prep
%setup -q -n %{name}-%{version}%{?prever}
#%patch1 -p1 -b .alsa-launch

%build
autoreconf -f -i
%configure CFLAGS="$RPM_OPT_FLAGS" --sbindir=/sbin 
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
make install DESTDIR=$RPM_BUILD_ROOT
%{__rm} -f $RPM_BUILD_ROOT/sbin/alsaconf \
	$RPM_BUILD_ROOT%{_mandir}/man*/alsaconf*
#install -D %{SOURCE3} $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d/alsa-launch.sh

mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
ln -s ../../sbin/alsactl $RPM_BUILD_ROOT/%{_sbindir}/alsactl

mkdir -p -m755 $RPM_BUILD_ROOT/etc/dev.d/sound
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/dev.d/sound/alsa.dev

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README TODO
%dir /etc/dev.d/sound
/etc/dev.d/sound/*
%{_bindir}/*
%{_sbindir}/*
/sbin/*
#%{_sysconfdir}/X11/xinit/xinitrc.d/*
%{_mandir}/man?/*
/usr/share/locale/*/LC_MESSAGES/*.mo


%changelog
* Wed Feb 16 2008 Martin Stransky <stransky@redhat.com> 1.0.8-2
- fix #148011 (add gettext-devel to BuildRequires)
- add $RPM_OPT_FLAGS to CFLAGS

* Wed Jan 26 2005 Martin Stransky <stransky@redhat.com> 1.0.8-1
- update to 1.0.8
- temporarily removed alsa-lauch.patch

* Sat Jan 08 2005 Colin Walters <walters@redhat.com> 1.0.7-2
- New patch alsa-utils-1.0.7-alsa-launch.patch, adds the
  alsa-launch command.
- New source file xinit-alsa-launch.sh, integrates alsa-launch
  into X startup
- BR xorg-x11-devel

* Thu Jan 06 2005 Colin Walters <walters@redhat.com> 1.0.7-1
- New upstream version

* Tue Oct 19 2004 Bill Nottingham <notting@redhat.com> 1.0.6-3
- tweak dev.d sound restore script (#133535, revisited)

* Thu Oct 14 2004 Bill Nottingham <notting@redhat.com> 1.0.6-2
- move alsactl to /sbin
- include a dev.d script for mixer restoring (#133535)

* Mon Aug 30 2004 Bill Nottingham <notting@redhat.com> 1.0.6-1
- update to 1.0.6

* Fri Jul  2 2004 Bill Nottingham <notting@redhat.com> 1.0.5-1
- update to 1.0.5

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Mar 11 2004 Bill Nottingham <notting@redhat.com> 1.0.3-1
- update to 1.0.3

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 28 2004 Bill Nottingham <notting@redhat.com> 1.0.2-1
- update to 1.0.2

* Wed Dec 17 2003 Bill Nottingham <notting@redhat.com> 1.0.0-0.rc2
- import fedora.us RPM, take out save-alsamixer & alsaconf for now

* Thu Dec 11 2003 Thorsten Leemhuis <fedora[AT]leemhuis.info> 1.0.0-0.fdr.0.4.rc2
- rename alsamixer-saver save-alsamixer

* Mon Dec  8 2003 Thorsten Leemhuis <fedora[AT]leemhuis.info> 1.0.0-0.fdr.0.3.rc2
- Integrate Michael Schwendt's script alsamixer-saver; Still not quite sure if 
  this script is the right way -- but mine didn't work...

* Sat Dec  6 2003 Thorsten Leemhuis <fedora[AT]leemhuis.info> 1.0.0-0.fdr.0.2.rc2
- Update to 1.0.0rc2 
- added alsamixer Script -- stores settings on shutdown, does nothing on startup
- some minor corrections in spec-file style

* Wed Dec  3 2003 Thorsten Leemhuis <fedora[AT]leemhuis.info> 1.0.0-0.fdr.0.1.rc1
- Update to 1.0.0rc1 

* Wed Aug  6 2003 Dams <anvil[AT]livna.org> 0:utils-0.fdr.1
- Initial build.
